Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IRandom

    java.lang.Object
      igeo.IRand
          igeo.IRandom

    public class IRandom

extends IRand

An alias class of IRand.

Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.IRand
`defaultSeed, random`

Constructor Summary
`IRandom()`

Method Summary

Methods inherited from class igeo.IRand
`clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, dir, dir, dir, dir, dir, dir2, dir2, dir2, direction, direction, direction, direction, direction, direction2, direction2, direction2, get, get, get, get, get, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getDirection, getDirection, getDirection, getDirection, getDirection, getDirection2, getDirection2, getDirection2, getDouble, getDouble, getDouble, getf, getf, getf, getFloat, getFloat, getFloat, getGray, getGray, getGray, getGray, getGray, getGray, getGrayIColor, getGrayIColor, getGrayIColor, getGrayIColor, getGrayIColor, getGrayIColor, geti, geti, geti, getIColor, getIColor, getInt, getInt, getInt, getInteger, getInteger, getInteger, getPercent, getPoint, getPoint, getPoint, getPoint, getPoint, getPoint, getPoint, getPoint, getPoint2, getPoint2, getPoint2, getPoint2, gray, gray, gray, gray, gray, gray, init, init, initByTime, limit1, limit255, pct, percent, point, point, point, point, point, point, point, point, point2, point2, point2, point2, pt, pt, pt, pt, pt, pt, pt, pt, pt2, pt2, pt2, pt2`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IRandom

    public IRandom()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD